import request from '@/utils/request'

/**
 * @data 查询参数 获取一周菜谱列表
 */
export function getWeekCookbookAPI(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/list/week/canteen',
    method: 'post',
    data:data
  })
}

/**
 * @data 查询参数 获取周菜谱详情列表
 */
export function getWeekDetailListAPI(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/week/recipe/detail',
    method: 'post',
    data:data
  })
}

/**
 * @data 查询参数 获取一周菜谱（菜品详情）
 */
export function getMenudishesDetailAPI(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/dishes/detail',
    method: 'post',
    data
  })
}



//菜品评价列表
export function getMenuEvaluaorderAPI(data) {
  return request({
    url: '/smart-canteen/cook_evalua_detail/list',
    method: 'get',
    params:data
  })
}




//菜品收藏列表
export function getCollectionDishesAPI(data) {
  return request({
    url: '/smart-canteen/cook_collection_dishes/list',
    method: 'get',
    params:data
  })
}

//菜品收藏-添加
export function addCollectionDishesAPI(data) {
  return request({
    url: '/smart-canteen/cook_collection_dishes',
    method: 'post',
    data
  })
}

//菜品收藏-删除
export function delCollectionDishesAPI(data) {
  return request({
    url: '/smart-canteen/cook_collection_dishes/del/'+data.dishesIds,
    method: 'post',
    data
  })
}




